Gmagick::setimageredprimary
Gmagick::setimageresolution
Gmagick
PHP Manual

# Gmagick::setimagerenderingintent

(PECL gmagick >= Unknown)

Gmagick::setimagerenderingintent — Sets the image rendering intent

### Description

public void Gmagick::setimagerenderingintent ( int `$rendering_intent` )

Sets the image rendering intent.

### Parameters

`rendering_intent`

  The image rendering intent: UndefinedIntent, SaturationIntent, PerceptualIntent, AbsoluteIntent, or RelativeIntent.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::setimageredprimary
Gmagick::setimageresolution
Gmagick
PHP Manual